"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createIpcBusClient = void 0;
const v2_1 = require("electron-process-type/lib/v2");
const IpcBusClient_factory_main_1 = require("./IpcBusClient-factory-main");
const IpcBusClient_factory_node_1 = require("./IpcBusClient-factory-node");
const IpcBusClient_factory_renderer_1 = require("./IpcBusClient-factory-renderer");
let createClient;
const processType = (0, v2_1.GetElectronProcessType)();
if (processType === 'main') {
    createClient = IpcBusClient_factory_main_1.newIpcBusClient;
}
else if (processType === 'node') {
    createClient = IpcBusClient_factory_node_1.newIpcBusClient;
}
else if (processType === 'renderer') {
    createClient = IpcBusClient_factory_renderer_1.newIpcBusClient;
}
exports.createIpcBusClient = createClient;
//# sourceMappingURL=IpcBusClient-factory.js.map