"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setLogLevelCVS = void 0;
const universal_1 = require("@electron-common-ipc/universal");
const IpcBusCSVLogger_1 = require("./IpcBusCSVLogger");
const IpcBusLogConfig_main_1 = require("./IpcBusLogConfig-main");
const gCsvLoggerSymbolName = 'CSVLogger';
const setLogLevelCVS = (level, filename, argContentLen) => {
    if (level >= universal_1.ContractLogLevel.None) {
        const globalContainer = new universal_1.GlobalContainer();
        let gCsvLogger = globalContainer.getSingleton(gCsvLoggerSymbolName);
        if (gCsvLogger === undefined) {
            gCsvLogger = new IpcBusCSVLogger_1.CSVLogger(filename);
            globalContainer.registerSingleton(gCsvLoggerSymbolName, gCsvLogger);
            const cb = gCsvLogger.writeLog.bind(gCsvLogger);
            (0, IpcBusLogConfig_main_1.SetLogLevel)(level, cb, argContentLen);
        }
    }
};
exports.setLogLevelCVS = setLogLevelCVS;
//# sourceMappingURL=IpcBusCSVLogger-main.js.map