"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setLogLevelJSON = void 0;
const universal_1 = require("@electron-common-ipc/universal");
const IpcBusJSONLogger_1 = require("./IpcBusJSONLogger");
const IpcBusLogConfig_main_1 = require("./IpcBusLogConfig-main");
const gJsonLoggerSymbolName = 'JSONLogger';
function setLogLevelJSON(level, filename, argContentLen) {
    if (level >= universal_1.ContractLogLevel.None) {
        const globalContainer = new universal_1.GlobalContainer();
        let gJsonLogger = globalContainer.getSingleton(gJsonLoggerSymbolName);
        if (gJsonLogger === undefined) {
            gJsonLogger = new IpcBusJSONLogger_1.JSONLogger(filename);
            globalContainer.registerSingleton(gJsonLoggerSymbolName, gJsonLogger);
            const cb = gJsonLogger.writeLog.bind(gJsonLogger);
            (0, IpcBusLogConfig_main_1.SetLogLevel)(level, cb, argContentLen);
        }
    }
}
exports.setLogLevelJSON = setLogLevelJSON;
//# sourceMappingURL=IpcBusJSONLogger-main.js.map