"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JSONLogger = void 0;
const fs_1 = require("fs");
const path = require("path");
const winston = require("winston");
const IpcBusLogUtils_1 = require("./IpcBusLogUtils");
class JSONLogger {
    constructor(filename) {
        (0, IpcBusLogUtils_1.ensureDirSync)(path.dirname(filename));
        try {
            (0, fs_1.unlinkSync)(filename);
        }
        catch (_a) {
        }
        this._winstonLogger = winston.createLogger({
            transports: [
                new winston.transports.File({
                    filename,
                }),
            ],
        });
    }
    writeLog(message) {
        this._winstonLogger.info(message.order.toString(), message);
    }
}
exports.JSONLogger = JSONLogger;
//# sourceMappingURL=IpcBusJSONLogger.js.map