import { MessageLogKind } from '@electron-common-ipc/universal';
import type { IpcBusPeer } from '@electron-common-ipc/universal';
export declare function LogKindToStr(kind: MessageLogKind): string;
export interface IpcBusLogMessage {
    id: string;
    order: number;
    peer: IpcBusPeer;
    relatedPeer: IpcBusPeer;
    timestamp: number;
    delay: number;
    channel: string;
    kind: MessageLogKind;
    kindStr: string;
    responseChannel?: string;
    responseStatus?: 'resolved' | 'rejected' | 'cancelled';
    local?: boolean;
    payload?: number;
    args?: unknown[];
}
export interface IpcBusLogCallback {
    (message: IpcBusLogMessage): void;
}
export interface IpcBusLogLogger {
    writeLog: IpcBusLogCallback;
}
