"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IpcBusBridgeLogger = void 0;
const IpcBusBridgeImpl_1 = require("./IpcBusBridgeImpl");
const IpcBusRendererContent_1 = require("../renderer/IpcBusRendererContent");
class IpcBusBridgeLogger extends IpcBusBridgeImpl_1.IpcBusBridgeImpl {
    constructor(contextType, ipcBusLog, uuid, stamp, logger) {
        super(contextType, uuid, stamp, logger);
        this._ipcBusLog = ipcBusLog;
    }
    _onRendererLogReceived(ipcMessage, data) {
        if (ipcMessage.isRawData) {
            const rawData = data;
            (0, IpcBusRendererContent_1.FixRawContent)(rawData);
            this._ipcBusLog.addLogRawContent(ipcMessage, rawData);
        }
        else {
            const args = data;
            this._ipcBusLog.addLog(ipcMessage, args);
        }
    }
    _onRendererMessageReceived(ipcMessage, data, messagePorts) {
        if (ipcMessage.isRawData) {
            const rawData = data;
            (0, IpcBusRendererContent_1.FixRawContent)(rawData);
            this._ipcBusLog.addLogRawContent(ipcMessage, rawData);
        }
        else {
            const args = data;
            this._ipcBusLog.addLog(ipcMessage, args);
        }
        super._onRendererMessageReceived(ipcMessage, data, messagePorts);
    }
    _onMainLogReceived(ipcMessage, args) {
        this._ipcBusLog.addLog(ipcMessage, args);
    }
    _onMainMessageReceived(ipcMessage, args, messagePorts) {
        this._ipcBusLog.addLog(ipcMessage, args);
        super._onMainMessageReceived(ipcMessage, args, messagePorts);
    }
    _onSocketLogReceived(ipcMessage, ipcPacketBuffer) {
        this._ipcBusLog.addLogPacket(ipcMessage, ipcPacketBuffer);
    }
    _onSocketMessageReceived(ipcMessage, ipcPacketBuffer) {
        if (this._ipcBusLog.addLogPacket(ipcMessage, ipcPacketBuffer)) {
            return super._onSocketMessageReceived(ipcMessage, ipcPacketBuffer);
        }
        return true;
    }
    _onSocketRequestResponseReceived(ipcMessage, ipcPacketBuffer) {
        if (this._ipcBusLog.addLogPacket(ipcMessage, ipcPacketBuffer)) {
            return super._onSocketRequestResponseReceived(ipcMessage, ipcPacketBuffer);
        }
        return true;
    }
}
exports.IpcBusBridgeLogger = IpcBusBridgeLogger;
//# sourceMappingURL=IpcBusBridgeLogger.js.map