"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getWindowTarget = exports.createIpcBusClient = void 0;
const universal_1 = require("@electron-common-ipc/universal");
const events_1 = require("events");
const IpcBusBridge_factory_1 = require("./IpcBusBridge-factory");
const uuid_1 = require("../utils/uuid");
function createTransport() {
    const bridge = (0, IpcBusBridge_factory_1.newIpcBusBridge)();
    const transport = bridge.mainTransport;
    return transport;
}
function createIpcBusClient() {
    const transport = createTransport();
    const ipcClient = new universal_1.IpcBusClientImpl(uuid_1.uuidProvider, new events_1.EventEmitter(), transport);
    return ipcClient;
}
exports.createIpcBusClient = createIpcBusClient;
function getWindowTarget(window, frameId) {
    const bridge = (0, IpcBusBridge_factory_1.newIpcBusBridge)();
    return bridge.getWindowTarget(window, frameId);
}
exports.getWindowTarget = getWindowTarget;
//# sourceMappingURL=IpcBusClientMain-factory.js.map