/// <reference types="electron" />
import { IpcBusConnectorImpl, IpcBusTransportMulti } from '@electron-common-ipc/universal';
import type { IpcBusBridgeImpl } from './IpcBusBridgeImpl';
import type { ClientCloseOptions, ClientConnectOptions, ConnectorHandshake, IpcBusCommand, IpcBusConnectorClient, IpcBusMessage, IpcBusProcessType, UuidProvider, IpcBusPeer } from '@electron-common-ipc/universal';
export declare class IpcBusBridgeConnectorMain extends IpcBusConnectorImpl {
    protected _bridge: IpcBusBridgeImpl;
    constructor(uuid: UuidProvider, contextType: IpcBusProcessType, bridge: IpcBusBridgeImpl);
    isTarget(ipcMessage: IpcBusMessage): boolean;
    protected handshakeInternal(_client: IpcBusConnectorClient, peer: IpcBusPeer, _options: ClientConnectOptions): Promise<ConnectorHandshake>;
    protected shutdownInternal(_options: ClientCloseOptions): Promise<void>;
    postMessage(ipcMessage: IpcBusMessage, args: unknown[], messagePorts?: Electron.MessagePortMain[]): void;
    postCommand(ipcCommand: IpcBusCommand): void;
    postLogRoundtrip(ipcMessage: IpcBusMessage, args?: undefined[]): void;
}
export declare class IpcBusBridgeTransportMain extends IpcBusTransportMulti {
}
