"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IpcBusBridgeTransportMain = exports.IpcBusBridgeConnectorMain = void 0;
const universal_1 = require("@electron-common-ipc/universal");
const IpcBusCommand_helpers_1 = require("../utils/IpcBusCommand-helpers");
class IpcBusBridgeConnectorMain extends universal_1.IpcBusConnectorImpl {
    constructor(uuid, contextType, bridge) {
        super(uuid, contextType, 'connector-main');
        this._bridge = bridge;
    }
    isTarget(ipcMessage) {
        return (0, IpcBusCommand_helpers_1.GetTargetMain)(ipcMessage) !== undefined;
    }
    handshakeInternal(_client, peer, _options) {
        const handshake = {
            peer,
        };
        return Promise.resolve(handshake);
    }
    shutdownInternal(_options) {
        return Promise.resolve();
    }
    postMessage(ipcMessage, args, messagePorts) {
        this._bridge._onMainMessageReceived(ipcMessage, args, messagePorts);
    }
    postCommand(ipcCommand) {
        switch (ipcCommand.kind) {
            case "LICRA":
            case "LIR":
                throw 'IpcBusTransportMultiImpl - should not happen';
            case "LICA":
            case "LICR":
                this._bridge._onBridgeChannelChanged(ipcCommand);
                break;
            case "QUST":
            case "QUSTR":
                this._bridge._onMainCommandReceived(ipcCommand);
                break;
        }
    }
    postLogRoundtrip(ipcMessage, args) {
        this._bridge._onMainLogReceived(ipcMessage, args);
    }
}
exports.IpcBusBridgeConnectorMain = IpcBusBridgeConnectorMain;
class IpcBusBridgeTransportMain extends universal_1.IpcBusTransportMulti {
}
exports.IpcBusBridgeTransportMain = IpcBusBridgeTransportMain;
//# sourceMappingURL=IpcBusMainBridge.js.map