/// <reference types="electron" />
/// <reference types="node" />
import { ChannelsRefCount, IpcBusTransportImpl } from '@electron-common-ipc/universal';
import type { IpcBusBridgeClient, IpcBusBridgeImpl } from './IpcBusBridgeImpl';
import type { BusMessagePort, ClientConnectOptions, IpcBusCommand, IpcBusConnector, IpcBusMessage, Logger, MessageStamp, QueryStateTransport, UuidProvider } from '@electron-common-ipc/universal';
import type { IpcPacketBuffer, IpcPacketBufferCore } from 'socket-serializer';
export declare class IpcBusTransportSocketBridge extends IpcBusTransportImpl implements IpcBusBridgeClient {
    private readonly _mockPeer;
    private readonly _mockClient;
    protected _bridge: IpcBusBridgeImpl;
    protected _subscribedChannels: ChannelsRefCount;
    constructor(connector: IpcBusConnector, bridge: IpcBusBridgeImpl, uuid: UuidProvider, stamp?: MessageStamp, logger?: Logger);
    broadcastConnect(options: ClientConnectOptions): Promise<void>;
    broadcastClose(options?: ClientConnectOptions): Promise<void>;
    broadcastCommand(ipcCommand: IpcBusCommand): void;
    broadcastData(ipcMessage: IpcBusMessage, data: IpcPacketBuffer.RawData | unknown[], messagePorts?: Electron.MessagePortMain[]): boolean;
    protected _broadcastBuffers(_ipcMessage: IpcBusMessage, buffers: Buffer[]): boolean;
    broadcastPacket(ipcMessage: IpcBusMessage, ipcPacketBufferCore: IpcPacketBufferCore): boolean;
    isTarget(ipcMessage: IpcBusMessage): boolean;
    getChannels(): string[];
    addChannel(): void;
    removeChannel(): void;
    onLogReceived(ipcMessage: IpcBusMessage, args: unknown[], buffers?: IpcPacketBufferCore): void;
    onMessageReceived(_local: boolean, ipcMessage: IpcBusMessage, _args: unknown[], ipcPacketBufferCore?: IpcPacketBufferCore, _messagePorts?: ReadonlyArray<BusMessagePort>): boolean;
    onRequestResponseReceived(_local: boolean, ipcResponse: IpcBusMessage, _args: unknown[], ipcPacketBufferCore?: IpcPacketBufferCore): boolean;
    onConnectorCommandBase(ipcCommand: IpcBusCommand): void;
    onConnectorShutdown(): void;
    queryState(): QueryStateTransport;
}
