"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.newIpcBusBroker = void 0;
const universal_1 = require("@electron-common-ipc/universal");
const IpcBusBrokerNode_1 = require("./IpcBusBrokerNode");
const NetBrokerServerFactory_1 = require("./NetBrokerServerFactory");
const log_1 = require("../utils/log");
const gBrokerSymbolName = 'IpcBusBroker';
function newIpcBusBroker() {
    const container = new universal_1.GlobalContainer();
    let broker = container.getSingleton(gBrokerSymbolName);
    if (broker === undefined) {
        const logger = log_1.Logger.enable ? new universal_1.ConsoleLogger() : undefined;
        broker = new IpcBusBrokerNode_1.IpcBusBrokerNode(new NetBrokerServerFactory_1.NetBrokerServerFactory(logger), logger);
        container.registerSingleton(gBrokerSymbolName, broker);
    }
    return broker;
}
exports.newIpcBusBroker = newIpcBusBroker;
//# sourceMappingURL=IpcBusBroker-factory.js.map