"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createIpcBusClient = void 0;
const universal_1 = require("@electron-common-ipc/universal");
const events_1 = require("events");
const IpcBusConnectorSocket_1 = require("./IpcBusConnectorSocket");
const log_1 = require("../utils/log");
const uuid_1 = require("../utils/uuid");
function createConnector(uuid, contextType) {
    const connector = new IpcBusConnectorSocket_1.IpcBusConnectorSocket(uuid, contextType);
    return connector;
}
const gTransportSymbolName = 'IpcBusTransportSocket';
function createTransport(contextType) {
    const container = new universal_1.GlobalContainer();
    let transport = container.getSingleton(gTransportSymbolName);
    if (!transport) {
        const connector = createConnector(uuid_1.uuidProvider, contextType);
        const logger = log_1.Logger.enable ? new universal_1.ConsoleLogger() : undefined;
        transport = new universal_1.IpcBusTransportMulti(connector, uuid_1.uuidProvider, undefined, logger);
        container.registerSingleton(gTransportSymbolName, transport);
    }
    return transport;
}
function createIpcBusClient() {
    const transport = createTransport(1);
    const ipcClient = new universal_1.IpcBusClientImpl(uuid_1.uuidProvider, new events_1.EventEmitter(), transport);
    return ipcClient;
}
exports.createIpcBusClient = createIpcBusClient;
//# sourceMappingURL=IpcBusClientSocket-factory.js.map