/// <reference types="node" />
import { IpcPacketBufferList } from 'socket-serializer';
import type { IpcBusCommand, Logger, BrokerClient } from '@electron-common-ipc/universal';
import type * as net from 'net';
export declare class NetBrokerClient implements BrokerClient {
    readonly socket: net.Socket;
    private readonly _logger?;
    private _onSocketClientData?;
    private _onSocketClientError?;
    private _onSocketClientClose?;
    protected _socketBinds: {
        [key: string]: (...args: any[]) => void;
    };
    private readonly _packetIn;
    private readonly _bufferListReader;
    constructor(socket: net.Socket, _logger?: Logger);
    send(bufferList: IpcPacketBufferList): void;
    [Symbol.toPrimitive]?(): string;
    subscribe(onSocketData: (socket: BrokerClient, ipcCommand: IpcBusCommand, ipcBusBufferList: IpcPacketBufferList) => void, onSocketError: (socket: BrokerClient, error: Error) => void, onSocketClose: (socket: BrokerClient) => void): void;
    release(): void;
    private onSocketData;
    private onSocketError;
    private onSocketClose;
    private onSocketEnd;
}
