/// <reference types="node" />
import type { BrokerServer, ClientCloseOptions, Logger, BrokerClient } from '@electron-common-ipc/universal';
import type * as net from 'net';
export declare class NetBrokerServer implements BrokerServer {
    private _server;
    private readonly _logger?;
    private _onCloseHandler?;
    private _onErrorHandler?;
    private _onConnectionHandler?;
    constructor(_server: net.Server, _logger?: Logger);
    close(options?: ClientCloseOptions): Promise<void>;
    subscribe(onClose: () => void, onError: (error: Error) => void, onConnection: (client: BrokerClient) => void): void;
    unsubscribe(): void;
    private _onConnection;
    private _onClose;
    private _onError;
}
