"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.newIpcBusClient = exports.createTransport = void 0;
const universal_1 = require("@electron-common-ipc/universal");
const events_1 = require("events");
const IpcBusConnectorRenderer_1 = require("./IpcBusConnectorRenderer");
const log_1 = require("../utils/log");
const uuid_1 = require("../utils/uuid");
function createConnector(contextType, isMainFrame, ipcWindow) {
    const connector = new IpcBusConnectorRenderer_1.IpcBusConnectorRenderer(uuid_1.uuidProvider, contextType, isMainFrame, ipcWindow);
    return connector;
}
const gTransportSymbolName = 'IpcBusTransportRenderer';
function createTransport(contextType, isMainFrame, ipcWindow) {
    const container = new universal_1.GlobalContainer();
    let gTransport = container.getSingleton(gTransportSymbolName);
    if (!gTransport) {
        const connector = createConnector(contextType, isMainFrame, ipcWindow);
        gTransport = new universal_1.IpcBusTransportMulti(connector, uuid_1.uuidProvider, undefined, log_1.Logger.enable ? new universal_1.ConsoleLogger() : undefined);
        container.registerSingleton(gTransportSymbolName, gTransport);
    }
    return gTransport;
}
exports.createTransport = createTransport;
function newIpcBusClient(contextType, isMainFrame, ipcWindow) {
    const transport = createTransport(contextType, isMainFrame, ipcWindow);
    const ipcClient = new universal_1.IpcBusClientImpl(uuid_1.uuidProvider, new events_1.EventEmitter(), transport);
    return ipcClient;
}
exports.newIpcBusClient = newIpcBusClient;
//# sourceMappingURL=IpcBusClientRenderer-factory.js.map