"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FixRawContent = exports.Uint8ArrayToBuffer = void 0;
const util = require("util");
function Uint8ArrayToBuffer(rawBuffer) {
    if (util.types.isUint8Array(rawBuffer)) {
        return Buffer.from(rawBuffer.buffer, rawBuffer.byteOffset, rawBuffer.byteLength);
    }
    return rawBuffer;
}
exports.Uint8ArrayToBuffer = Uint8ArrayToBuffer;
function FixRawContent(rawData, forceSingleBuffer) {
    if (rawData.buffer) {
        rawData.buffer = Uint8ArrayToBuffer(rawData.buffer);
    }
    else if (Array.isArray(rawData.buffers)) {
        rawData.buffers = rawData.buffers.map(Uint8ArrayToBuffer);
        if (forceSingleBuffer) {
            rawData.buffer = Buffer.concat(rawData.buffers);
            rawData.buffers = undefined;
        }
    }
}
exports.FixRawContent = FixRawContent;
//# sourceMappingURL=IpcBusRendererContent.js.map