import { IpcPacketBuffer } from 'socket-serializer';
import type { BusMessagePort, IpcBusMessage, IpcBusCommand, IpcBusPeer } from '@electron-common-ipc/universal';
import type { Writer } from 'socket-serializer';
export declare function GetTargetMain(ipcMessage: IpcBusMessage, checkChannel?: boolean): IpcBusPeer;
export declare function GetTargetProcess(ipcMessage: IpcBusMessage, checkChannel?: boolean): IpcBusPeer;
export declare function GetTargetRenderer(ipcMessage: IpcBusMessage, checkChannel?: boolean): IpcBusPeer;
export declare function CreateKeyForEndpoint(endpoint: IpcBusPeer): string;
export declare function CreateTargetChannel(peer: IpcBusPeer): string;
export declare class SerializeMessage {
    private readonly _packetOut;
    constructor();
    serialize(ipcMessage: IpcBusMessage, args?: unknown[]): IpcPacketBuffer | undefined;
    writeMessage(writer: Writer, ipcMessage: IpcBusMessage, args?: unknown[]): void;
    writeCommand(writer: Writer, ipcCommand: IpcBusCommand): void;
}
export interface IpcInterface {
    send(channel: string, ...args: unknown[]): void;
    sendTo(webContentsId: number, channel: string, ...args: unknown[]): void;
}
export interface PortInterface {
    postMessage(message: unknown, messagePorts?: Transferable[]): void;
}
export declare class SmartMessageBag {
    private readonly _packetOut;
    private _ipcMessage;
    private _data;
    private _rawData;
    private _supportStructureClone;
    constructor();
    set(ipcMessage: IpcBusMessage, data: unknown): void;
    serialize(ipcMessage: IpcBusMessage, args?: unknown[]): IpcPacketBuffer | undefined;
    writeMessage(writer: Writer, ipcMessage: IpcBusMessage, args?: unknown[]): void;
    writeCommand(writer: Writer, ipcCommand: IpcBusCommand): void;
    sendIPCMessage(ipc: IpcInterface, channel: string): void;
    sendIPCMessageTo(ipc: IpcInterface, wcid: number, channel: string): void;
    sendPortMessage(port: PortInterface, messagePorts?: ReadonlyArray<BusMessagePort>): void;
}
